Me encanta Debian, ¡pero mi programa favorito está obsoleto!

By 6 de agosto de 2006 Debian, Linux No Comments

debian-logo-vertical.gifSí, es quizás el principal defecto de Debian, junto con el tema del reconocimiento automático del hardware.Bien, lo cierto es que si te gusta ir a la última, no deberías usar Debian. Al menos, no la versión estable de Debian, claro. Pero por otro lado, eso es lo que la hace precisamente estable, ¿no?.

Pues sí, porque Debian revisa una y otra vez todos los paquetes de programas para asegurarse de que funcionan de la mejor forma posible y sin peligro para el sistema. Solo entonces, congelan la distribución, arrancan otra rama paralela y sacan la versión congelada como la próxima Debian estable (actualmente Woody). Pero eso necesita mucho tiempo, claro, y por eso los programas de la versión congelada tienen a quedarse anticuados rápidamente.

En otras palabras: en cierto modo NO es un defecto de Debian, sino su mayor fortaleza, porque convierten a esta distribución de Linux en una verdadera roca... por un precio razonable en innovación.

Pero a veces es una lata, sinceramente. Porque ese programa tan magnífico que necesitas, que usas a diario, que te tiene enganchado... tiene unas carácteristicas magníficas en sus últimas versiones. Pero no puedes instalarlo en Woody, porque al intentar arrancar "apt-get" te saltan todas las dependencias para que reinstales 80000 paquetes... o te dice que ya tienes la última versión disponible. Me entiendes, ¿verdad?.

Lo que necesitas es un "backport". Los backports son una colección de paquetes Debian que se han sacado de las versiones "testing" o inestable del propio Debian, pero que se han recompilado de nuevo para que acepten las dependencias existentes en la versión estable. El resultado es que puedes instalar ese programa favorito que tanto te interesa, sí.

Dónde puedes conseguir esas maravillas?. Pues en una página Web, claro está. Para acceder a los paquetes que más te interesen, puedes ir directamente a los listados.

¡Pero cuidado!. Instalando "backports", estás aceptando un cierto riesgo. Probablemente no pasará nada por meter uno o dos, pero cuantos más vayas metiendo, más grande es el riesgo. Puedes llegar a hacer tu sistema bastante inestable. Caramba, pero es que si necesitas instalar muchos, lo tuyo no es Woody, sino Sid: o sea, no necesitas una Debian estable, sino la versión de desarrollo que toque. Piénsalo, porque si este es tu caso deberías replantearte muchas cosas.

En mi ordenador, solo hay un paquete que realmente necesito pasar a una versión backport. Ese paquete es LyX, porque por mi trabajo y mi afición (escribir novelas y relatos de ciencia ficción), hago un uso intensivo de este programa y me conviene aprovechar sus mejores características.

Luis Angel Cofiño

Leave a Reply

Your email address will not be published.